## org.eclipse.datatools.enablement.sybase.ui.filter
Class AbstractFilterProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ui.filter.AbstractFilterProvider

All Implemented Interfaces:
  IFilterProvider

Direct Known Subclasses:
  CatalogFilterProvider, EventFilterProvider, SchemaFilterProvider, SchemaObjectFilterProvider

    public abstract class AbstractFilterProvider

extends java.lang.Object
implements IFilterProvider

Author:
  linsong

Constructor Summary
`AbstractFilterProvider()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.ui.filter.IFilterProvider
`getConnectionFilter`

Constructor Detail

### AbstractFilterProvider

    public AbstractFilterProvider()